Bug 445629 - alsa-lib-1.0.14-1.rc4.el5 does not work for Lenovo X300
alsa-lib-1.0.14-1.rc4.el5 does not work for Lenovo X300
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: alsa-lib (Show other bugs)
5.3
All Linux
medium Severity low
: rc
: ---
Assigned To: Jaroslav Kysela
desktop-bugs@redhat.com
: OtherQA
Depends On:
Blocks: 432382
  Show dependency treegraph
 
Reported: 2008-05-08 00:29 EDT by Huzaifa S. Sidhpurwala
Modified: 2009-01-20 15:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:52:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2008-05-08 00:29:35 EDT
Description of problem:
Existing alsa drivers from 5.2 do not work for the lenovo X300

Version-Release number of selected component (if applicable):
alsa-lib-1.0.14-1.rc4.el5
alsa-lib-devel-1.0.14-1.rc4.el5
alsa-utils-1.0.14-3.rc4.el5
kmod-alsa-1.0.16-1.rhis


How reproducible:
Install lenovo X300, no sound

Steps to Reproduce:
See above
  
Actual results:
No sound heard

Expected results:
It should work

Additional info:
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory
Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960
Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated
Graphics Controller (rev 0c)
00:19.0 Ethernet controller: Intel Corporation 82566MM Gigabit Network
Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Contoller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI
Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller
(rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1
(rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2
(rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3
(rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI
Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI
Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HBM (ICH8M-E) LPC Interface
Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE
Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA
AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
03:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN
Network Connection (rev 61)
Comment 1 Huzaifa S. Sidhpurwala 2008-05-08 00:31:59 EDT
This works with the alsa-lib in fedora 9 namely 1.0.16

Comment 3 Jaroslav Kysela 2008-09-25 07:53:30 EDT
This issue should be solved with latest RHEL 5.3 kernels. Could you retest?
Comment 4 Larry Troan 2008-10-13 14:14:01 EDT
Putting in NEEDINFO based on comment #3.
Comment 5 Larry Troan 2008-10-13 14:32:41 EDT
Is bug 455999 "he sound Device does not" a DUP of this bug?
Comment 6 Cameron Meadors 2008-11-11 10:22:31 EST
Huzaifa, can you restest with the 5.3 snapshot 2?  We do not have an X300 in Westford for QE.  Alternatively if there is on in BRNO then Desktop QE there could test?  BTW, what is the codec for that sound device?  If I have the same codec, I can do some testing as well.
Comment 13 errata-xmlrpc 2009-01-20 15:52:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0088.html

Note You need to log in before you can comment on or make changes to this bug.